#-------------------------------------------------
#
# Project created by QtCreator 2018-01-15T22:39:04
#
#-------------------------------------------------

QT       += core gui serialport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets opengl

TARGET = oe_designer
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += include libPakalPersist

SOURCES += \
        main.cpp \
        src/io/OE_io_JPG.cpp \
        src/io/OE_io_OE.cpp \
        src/io/OE_io_SVG.cpp \
        src/qt/mainwindow.cpp \
        src/actions/OE_actions.cpp \
        src/actions/OE_actionsBirailStitchs.cpp \
        src/actions/OE_actionsCurves.cpp \
        src/actions/OE_actionsFillStitchs.cpp \
        src/actions/OE_actionsLineStitchs.cpp \
        src/actions/OE_actionsLinkStitchs.cpp \
        src/actions/OE_actionsSelection.cpp \
        src/actions/OE_actionsStitchs.cpp \
        src/actions/OE_actionsThreads.cpp \
        src/curves/OE_curve.cpp \
        src/curves/OE_joincurve.cpp \
        src/curves/OE_pointcurve.cpp \
        src/curves/OE_subcurve.cpp \
        src/instructions/OE_instruction.cpp \
        src/instructions/OE_start.cpp \
        src/instructions/OE_waitcolor.cpp \
        src/io/OE_io_PES.cpp \
        src/stitchs/OE_birailstitch.cpp \
        src/stitchs/OE_fillstitch.cpp \
        src/stitchs/OE_linestitch.cpp \
        src/stitchs/OE_linkstitch.cpp \
        src/stitchs/OE_staticstitch.cpp \
        src/stitchs/OE_stitchs.cpp \
        src/xml/tinystr.cpp \
        src/xml/tinyxml.cpp \
        src/xml/tinyxmlerror.cpp \
        src/xml/tinyxmlparser.cpp \
        src/OE_base.cpp \
        src/OE_controller.cpp \
        src/OE_display.cpp \
        src/OE_document.cpp \
        src/OE_interfaceDisplay.cpp \
        src/OE_pattern.cpp \
        src/OE_thread.cpp \
        src/OE_utils.cpp \
        libPakalPersist/Archive.cpp \
        libPakalPersist/Attribute.cpp \
        libPakalPersist/Element.cpp \
        libPakalPersist/JsonReader.cpp \
        libPakalPersist/JsonWriter.cpp \
        libPakalPersist/TextReader.cpp \
        libPakalPersist/TextWriter.cpp \
        src/machine.cpp

HEADERS += \
        src/qt/mainwindow.h \
        include/actions/OE_actions.h \
        include/actions/OE_actionsBirailStitchs.h \
        include/actions/OE_actionsCurves.h \
        include/actions/OE_actionsFillStitchs.h \
        include/actions/OE_actionsLineStitchs.h \
        include/actions/OE_actionsLinkStitchs.h \
        include/actions/OE_actionsSelection.h \
        include/actions/OE_actionsStitchs.h \
        include/actions/OE_actionsThreads.h \
        include/curves/OE_curve.h \
        include/curves/OE_joincurve.h \
        include/curves/OE_pointcurve.h \
        include/curves/OE_subcurve.h \
        include/instructions/OE_instruction.h \
        include/instructions/OE_start.h \
        include/instructions/OE_waitcolor.h \
        include/stitchs/OE_birailstitch.h \
        include/stitchs/OE_fillstitch.h \
        include/stitchs/OE_linestitch.h \
        include/stitchs/OE_linkstitch.h \
        include/stitchs/OE_staticstitch.h \
        include/stitchs/OE_stitchs.h \
        include/xml/tinystr.h \
        include/xml/tinyxml.h \
        include/main.h \
        include/OE_base.h \
        include/OE_controller.h \
        include/OE_display.h \
        include/OE_document.h \
        include/OE_fstream.h \
        include/OE_interfaceDisplay.h \
        include/OE_io.h \
        include/OE_pattern.h \
        include/OE_thread.h \
        include/OE_utils.h \
        libPakalPersist/Archive.h \
        libPakalPersist/Attribute.h \
        libPakalPersist/Element.h \
        libPakalPersist/JsonReader.h \
        libPakalPersist/JsonWriter.h \
        libPakalPersist/TextReader.h \
        libPakalPersist/TextWriter.h \
        libPakalPersist/PersistUtils.h \
        include/machine.h

FORMS += \
        src/qt/mainwindow.ui

RESOURCES += \
    resources.qrc
